> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List folders



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json get /hierarchy
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /hierarchy:
    get:
      tags:
        - Hierarchy
      summary: List folders
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ListHierarchyResult'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ListHierarchyResult'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ListHierarchyResult'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    ListHierarchyResult:
      type: object
      properties:
        id:
          type: string
          description: The ID of the folder
          nullable: true
        name:
          type: string
          description: The name of the folder
          nullable: true
        bots:
          type: array
          items:
            type: string
          description: The list of bots in the folder
          nullable: true
        personas:
          type: array
          items:
            type: string
          description: The list of personas in the folder
          nullable: true
        children:
          type: array
          items:
            type: string
          description: The list of children folders
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````